<?php
	$disabled = '';

    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('setcfg.php FSCONFIG.Cfgmgr Object cannot be created!');
    $payment_method=$settingobj->getKey('payment_method', 'creditcard');

    echo '<script type="text/javascript" src="./javascript/cc.js"></script>';

    gen_head();
    gen_sep();
	// 20080724 - added the PayPal Payments Pro Direct Payment option 
    // 20071029 - Remove checked argument in ppal radio option
	
	//check whether the payment method is one of the paypal payments methods, for the javascript use only
	if ( ($payment_method=='ppal') || ($payment_method=='ppal_direct') ){
		$ppal_method=$payment_method;
	}else{
		$ppal_method='ppal';//default value
	}
    $input='<input type="radio" name="payment_select" value="ppal" '.$disabled.' onClick="change_payment(\''.$ppal_method.'\')">'.get_cm_var('setcfg_cc_sel_ppal')
		.'&nbsp;&nbsp;<input type="radio" name="payment_select" value="worldpay" '.$disabled.' onClick="change_payment(\'worldpay\')">'.get_cm_var('setcfg_cc_sel_wpay')
		.'&nbsp;&nbsp;<input type="radio" name="payment_select" value="authorizeNet" '.$disabled.' onClick="change_payment(\'authorizeNet\')">'.get_cm_var('setcfg_cc_sel_anet');
    $input.='<div id ="paypal_options">'
		.'<fieldset style="width:235;border-width:1;border-color:#99D1A2;border-collapse:collapse; border-style:solid;">'
		.'<legend>'.get_cm_var('setcfg_cc_sel_ppal').'</legend>'
		.'<input type="radio" name="ppal_select" id="ppal_standard_select" value="ppal_standard" '.$disabled.' onClick="change_payment(\'ppal\')">'
		.'<label for="ppal_standard_select">'.get_cm_var('setcfg_cc_sel_ppal_standard').'</label>'.'<br />'
		.'<input type="radio" name="ppal_select" id="ppal_direct_select" value="ppal_direct" '.$disabled.' onClick="change_payment(\'ppal_direct\')">'
		.'<label for="ppal_direct_select">'.get_cm_var('setcfg_cc_sel_ppal_direct').'</label>'
		.'</fieldset>'
		.'</div>';
	$input.='<div><input type="radio" name="payment_select" value="checkout" '.$disabled.' onClick="change_payment(\'checkout\')">'.get_cm_var('setcfg_cc_sel_checkout').'&nbsp;&nbsp;<input type="radio" name="payment_select" value="user_defined" '.$disabled.' onClick="change_payment(\'user_defined\')">'.get_cm_var('setcfg_cc_user_defined').'</div>';
    gen_line(get_cm_var('setcfg_cc_payment_sel'), $input);

    gen_sep();
?>
    <tr><td width="100%" colspan="4">
	<!--20080724 name chaged to PayPal Payments Standard-->
    <!-- Paypal (Payments Standard)  -->
    <div id="paypal" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">

    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="ppal">
<?php
	//20080724 the name of PayPal chaged to PayPal Standard
	//generate and display the heading 
    gen_section_heading(get_cm_var('setcfg_cc_ppal_standard'));

    gen_sep();

    $value=$settingobj->getKey('ppal_business', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_business" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_ppal_ID'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_cancel_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_cancal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_fail_return_path'), $input);

    gen_sep();

    $bt_mode=$settingobj->getKey('ppal_pending_release', 'paypal');

    if($bt_mode=='yes') {
        $input='<input type="radio" name="ppal_pending_release" value="yes" '.$disabled.' checked>Yes<br>
                <input type="radio" name="ppal_pending_release" value="no" '.$disabled.'>No';
    } else {
        $input='<input type="radio" name="ppal_pending_release" value="yes" '.$disabled.'>Yes<br>
                <input type="radio" name="ppal_pending_release" value="no" '.$disabled.' checked>No';
    }

    gen_line(get_cm_var('setcfg_cc_ppal_pending_completed'), $input);
    gen_sep();

    $value=$settingobj->getKey('ppal_base_currency', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_base_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_base_cur'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_notify_url', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_notify_url" value="'.$value.'" '.$disabled.' onfocus="this.select()">&nbsp;/ppal_ipn.php';
    gen_line(get_cm_var('setcfg_cc_ppal_ipn_url'), $input);

    gen_sep();

    // Local Site SSL Port
    $value=$settingobj->getKey('ssl_port', 'gateway');

    // Numeric Input Only
    $input='<input class="longtextbox" type="text" name="ssl_port" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_ipn_port'), $input);

    gen_sep();

    // table name
    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="Datasource_PayPal_Table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_table'), $input);
    gen_sep();

    gen_save('save_cc',$fs_status);
?>
    </table>
    </div>
    <!-- end Paypal (Payments Standard)  -->
	
	<!--20080730 added reminding message for SSL to configuration of PayPal Website Payments Pro Direct Payment-->
	<!--20080724 added PayPal Direct Payment-->
    <!-- PayPal Direct Payment-->
    <div id="paypal_direct" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">
	<!-- note: validate_cc is used to check the form. It can be found from validate.php-->
    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="ppal_direct">
<?php
    gen_section_heading(get_cm_var('setcfg_cc_ppal_direct'));

    gen_sep();//generate a line
    
    $value=$settingobj->getKey('ppal_direct_api_username', 'paypal_direct');//get the key value from config.ini
    $input='<input class="longtextbox" type="text" name="ppal_direct_api_username" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_api_username'), $input);//generate the input line with the title. get_cm_var: get tje name from the cmlang.php

    gen_sep();
	
	$value=$settingobj->getKey('ppal_direct_api_password', 'paypal_direct');
    $input='<input class="longtextbox" type="password" name="ppal_direct_api_password" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_api_password'), $input);

    gen_sep();
	
	$value=$settingobj->getKey('ppal_direct_api_signature', 'paypal_direct');
    $input='<input class="longtextbox" type="password" name="ppal_direct_api_signature" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_api_signature'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_direct_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_cancel_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_direct_cancel_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_fail_return_path'), $input);

    gen_sep();
	
	$bt_mode=$settingobj->getKey('ppal_pending_release', 'paypal');

    if($bt_mode=='yes') {
        $input='<input type="radio" name="ppal_direct_pending_release" value="yes" '.$disabled.' checked>Yes<br>
                <input type="radio" name="ppal_direct_pending_release" value="no" '.$disabled.'>No';
    } else {
        $input='<input type="radio" name="ppal_direct_pending_release" value="yes" '.$disabled.'>Yes<br>
                <input type="radio" name="ppal_direct_pending_release" value="no" '.$disabled.' checked>No';
    }

    gen_line(get_cm_var('setcfg_cc_ppal_pending_completed'), $input);
    gen_sep();

    $value=$settingobj->getKey('ppal_base_currency', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_direct_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_base_cur'), $input);

    gen_sep();
    
    $value=$settingobj->getKey('ppal_notify_url', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_direct_notify_url" value="'.$value.'" '.$disabled.' onfocus="this.select()">&nbsp;/ppal_ipn.php';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_ipn_url'), $input);

    gen_sep();

    $value=$settingobj->getKey('ssl_port', 'gateway');
    $input='<input class="longtextbox" type="text" name="ppal_direct_ssl_port" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_ipn_port'), $input);
    
    gen_sep();

    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="ppal_direct_txn_table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_direct_table'), $input);

    gen_sep();
	
    gen_line(get_cm_var('setcfg_cc_ppal_direct_ssl'), get_cm_var('setcfg_cc_ppal_direct_ssl_info'));

    gen_sep();
	
	gen_line(get_cm_var('setcfg_cc_ppal_direct_cert'), get_cm_var('setcfg_cc_ppal_direct_cert_info'));

    gen_sep();

    gen_save('save_cc',$fs_status);
?>  
    </table>
    </div>
    <!-- end ofPayPal Direct Payment-->
	
    <!-- WorldPay -->
    <div id="worldpay" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">

    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="worldpay">
<?php
    gen_section_heading(get_cm_var('setcfg_cc_wpay'));

    gen_sep();

    $value=$settingobj->getKey('wpay_instID', 'worldpay');
    $input='<input class="longtextbox" type="text" name="wpay_instID" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_install_ID'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_cancel_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_cancal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_fail_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('wpay_base_currency', 'worldpay');
    $input='<input class="longtextbox" type="text" name="wpay_base_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_base_cur'), $input);

    gen_sep();

    $value=$settingobj->getKey('wpay_notify_url', 'worldpay');
    $input='<input class="longtextbox" type="text" name="wpay_notify_url" value="'.$value.'" '.$disabled.' onfocus="this.select()">&nbsp;/wpay_callback.php';
    gen_line(get_cm_var('setcfg_cc_wpay_callback_url'), $input);

    gen_sep();

    $value=$settingobj->getKey('wpay_testmode', 'worldpay');
    $input='<input class="longtextbox" type="text" name="wpay_testmode" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_test_mode'), $input);

    gen_sep();

    $value=$settingobj->getKey('ssl_port', 'gateway');

    $input='<input class="longtextbox" type="text" name="ssl_port" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_callback_port'), $input);

    gen_sep();

    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="Datasource_PayPal_Table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_wpay_table'), $input);
    gen_sep();

    gen_save('save_cc',$fs_status);
?>
    </table>
    </div>
    <!-- end WorldPay-->

    <!-- authorizeNet -->
    <div id="authorizeNet" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">

    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="authorizeNet">
<?php
    gen_section_heading(get_cm_var('setcfg_cc_authorizeNet'));

    gen_sep();

    $value=$settingobj->getKey('aNet_id', 'AuthorizeNet');
    $input='<input class="longtextbox" type="text" name="aNet_id" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_id'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_cancel_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="ppal_cancal_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_fail_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('aNet_key', 'AuthorizeNet');
    $input='<input class="longtextbox" type="password" name="aNet_key" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_key'), $input);

    gen_sep();

    $value=$settingobj->getKey('aNet_hash', 'AuthorizeNet');
    $input='<input class="longtextbox" type="password" name="aNet_hash" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_hash'), $input);

    gen_sep();

    $value=$settingobj->getKey('aNet_base_currency', 'AuthorizeNet');
    $input='<input class="longtextbox" type="text" name="aNet_base_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_base_currency'), $input);

    gen_sep();

    $value=$settingobj->getKey('aNet_notify_url', 'AuthorizeNet');
    $input='<input class="longtextbox" type="text" name="aNet_notify_url" value="'.$value.'" '.$disabled.' onfocus="this.select()">&nbsp;/authorizeNet_callback.php';
    gen_line(get_cm_var('setcfg_cc_aNet_notify_url'), $input);

    gen_sep();

    $value=$settingobj->getKey('aNet_testmode', 'AuthorizeNet');
    $input='<input class="longtextbox" type="text" name="aNet_testmode" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_testmode'), $input);

    gen_sep();

    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="Datasource_PayPal_Table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_aNet_table'), $input);

    gen_sep();

    gen_save('save_cc',$fs_status);
?>
    </table>
    </div>
    <!-- end authorizeNet -->

	<!-- Google Checkout -->
    <div id="checkout" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">

    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="checkout">
<?php
    gen_section_heading(get_cm_var('setcfg_cc_checkout'));

    gen_sep();

    $value=$settingobj->getKey('checkout_merchant_id', 'googleCheckout');
    $input='<input class="longtextbox" type="text" name="checkout_merchant_id" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_checkout_id'), $input);

    gen_sep();

    $value=$settingobj->getKey('checkout_return', 'googleCheckout');
    $input='<input class="longtextbox" type="text" name="checkout_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_checkout_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('checkout_cancel_return', 'googleCheckout');
    $input='<input class="longtextbox" type="text" name="checkout_cancel_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_checkout_fail_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('checkout_base_currency', 'googleCheckout');
    $input='<input class="longtextbox" type="text" name="checkout_base_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_checkout_base_currency'), $input);

    gen_sep();

    gen_line(get_cm_var('setcfg_cc_checkout_notify_url'),get_cm_var('setcfg_cc_checkout_notify_url_remainer'));

    gen_sep();

    // Local Site SSL Port
    $value=$settingobj->getKey('ssl_port', 'gateway');

    // Numeric Input Only
    $input='<input class="longtextbox" type="text" name="ssl_port" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="select()">';
    gen_line(get_cm_var('setcfg_cc_checkout_ipn_port'), $input);

    gen_sep();

    // table name
    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="Datasource_PayPal_Table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_ppal_table'), $input);
    gen_sep();

    gen_save('save_cc',$fs_status);
?>
    </table>
    </div>
    <!-- end checkout-->
	
    <!-- user defined payment -->
    <div id="user_defined" style="display:none">

    <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="#FFFFFF">

    <form action="settingok.php" name="form_cc" method="post" onSubmit="return validate_cc()">
    <input type="hidden" name="save_cc" value="true">
    <input type="hidden" name="payment_select" value="user_defined">
<?php
    gen_section_heading(get_cm_var('setcfg_cc_user_defined'));

    gen_sep();
    
    $value=$settingobj->getKey('id', 'User_defined_payment');
    $input='<input class="longtextbox" type="text" name="udef_id" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_id'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="udef_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_success_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('ppal_cancel_return', 'paypal');
    $input='<input class="longtextbox" type="text" name="udef_cancel_return" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_fail_return_path'), $input);

    gen_sep();

    $value=$settingobj->getKey('pin1', 'User_defined_payment');
    $input='<input class="longtextbox" type="password" name="udef_pin1" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_pin1'), $input);

    gen_sep();

    $value=$settingobj->getKey('pin2', 'User_defined_payment');
    $input='<input class="longtextbox" type="password" name="udef_pin2" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_pin2'), $input);

    gen_sep();

    $value=$settingobj->getKey('currency', 'User_defined_payment');
    $input='<input class="longtextbox" type="text" name="udef_currency" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_currency'), $input);

    gen_sep();
    
    $value=$settingobj->getKey('notify_url', 'User_defined_payment');
    $input='<input class="longtextbox" type="text" name="udef_notify_url" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_notify_url'), $input);

    gen_sep();

    $value=$settingobj->getKey('ssl_port', 'gateway');
    $input='<input class="longtextbox" type="text" name="udef_ssl_port" maxlength="5" value="'.$value.'" '.$disabled.' onKeyPress="return numbersonly(this,event)" onfocus="select()">';
    gen_line(get_cm_var('setcfg_cc_udef_notify_port'), $input);
    
    gen_sep();

    $value=$settingobj->getKey('Datasource_PayPal_Table', 'gateway');
    $input='<input class="longtextbox" type="text" name="udef_txn_table" value="'.$value.'" '.$disabled.' onfocus="this.select()">';
    gen_line(get_cm_var('setcfg_cc_udef_txn_table'), $input);

    gen_sep();

    gen_save('save_cc',$fs_status);
?>  
    </table>
    </div>
    <!-- end of user defined payment -->
    </td></tr>

    <!-- Show Log & Export Log-->
      <tr>
        <td>
        <table width="100%" border="0" bordercolor="yellow" cellspacing="0" cellpadding="0">
        <tr>
            <td width="200" valign="top"><img src="./images/showlog.gif" alt="Show Log" id="history_button" onClick="show_history()" style="cursor:pointer;cursor:hand;"></td>
            <form action="settingok.php" name="exportCCform2" method="post">
            <td width="100%" valign="top">
                <img name="CCLog" src="./images/exportcclog.gif"  alt="Export Log" onClick="document.exportCCform2.submit();" style="cursor:pointer;cursor:hand;"><input type="hidden" name="save_cc" value="true"><input name="exportCCLog" type="hidden" value="true">
            </td>
            </form>
        </tr>
        </table>
        </td>
      </tr>

    <!-- history log -->
    <tr><td colspan="4">
    <div id="historylog">
        <table border="0" width="100%" cellspacing="0" cellpadding="3" bgcolor="#FFFFFF">
          <tr>
            <td align="center">
              <iframe frameborder="0" width="740" height="20" src="history_label.php" marginwidth="2" marginheight="0"></iframe> 
            </td>
          </tr>
          <tr>
            <td width="710" align="center">       
            <iframe class="bordered_frame" frameborder="0" width="740" height="200" src="history_all.php" marginwidth="2" marginheight="0"></iframe>
            </td>
          </tr>
          <tr><td width="100%" colspan="3" valign="top" height="6"><img src="./images/blank.gif" border="0" width="3" height="6"></td></tr>  
        </table>
    </div>
    </td></tr>
<?php
    echo '<script type="text/javascript">';
    echo "defaultUI('".$payment_method."');";
    echo '</script>';
    gen_foot();
    // release the COM object
    //$settingobj->Release();
    $settingobj=null;
?>
