var glo_intervalId; //to store interval id so that it event can be stopped
var glo_intervalId2; //to store interval id so that it event can be stopped

function callLoadingBox(needToShow,needToStop) {
	/*
	 *	Purpose:
	 *	It show up a loading box and tell it to start blinking
	 */
	var obj = document.getElementById('loadingBox');
	if (needToShow) { //show loading box
		if (needToStop) { //show stop button
			document.getElementById('loadingBoxText').innerHTML = glo_Message.setcfg_users_loading; //'Loading...'	
			document.getElementById('btn_Stop').style.display = '';
		} else { //hide stop button
			document.getElementById('loadingBoxText').innerHTML = glo_Message.setcfg_users_deleting; //'Deleting user'	
			document.getElementById('btn_Stop').style.display = 'none'; //no stop button during deleting user
		}
		obj.style.display = 'block'; //show up the loading box
		glo_intervalId = setInterval('blinkLoadingBox()', 500); //start blinking
	} else { //hide loading box
		obj.style.display = 'none';
		clearInterval(glo_intervalId); //stop blinking
	}
}

function blinkLoadingBox() {
	/*
	 *	Purpose:
	 *	It swith the class of loadingBox.
	 *	It was called by setInterval()
	 */
	var obj = document.getElementById('loadingBox');
	if (obj.className=="loadingBoxDark") {
		obj.className = "loadingBoxBright";
	} else if (obj.className=="loadingBoxBright") {
		obj.className = "loadingBoxDark";
	}
}

function stopSearch(mode) {
	/*
	 *	Purpose:
	 *	Ignore current process and load another page
	 *	when user clcik 'STOP' button in loading box
	 */
	document.close();

	// 20080318 - Add case for DHCP
	if (mode=="frmSimple") {
		window.location.href="setcfg.php?category=u&searchUser=frmSimple";
	} else if (mode=="frmAdvanced") {
		window.location.href="setcfg.php?category=u&searchUser=frmAdvanced";
	} else if (mode == "dhcp") {
	    window.location.href = "setcfg.php?category=dhcp";
	} else {
		window.location.href="setcfg.php?category=d";
	}
}

// 20071112 - Handle parent's loading box actions
function CallParentLoadingBox(flagShow, flagStop)
{
    var obj = parent.document.getElementById('loadingBox');

    // 20080425 - Check obj to prevent script error
    if (!flagShow && !flagStop && obj != null) {
	// Close box
	obj.style.display = 'none';
	clearInterval(glo_intervalId);
    }
}

// 20080318 - Call loading box in DHCP tab
function CallDhcpLoadingBox(bShow, bStop)
{
    var obj = document.getElementById('loadingBox');

    if (bShow) {
	document.getElementById('loadingBoxText').innerHTML = gloMessage.setcfg_dhcp_loading;
	if (bStop) {
	    document.getElementById('btnStop').style.display = '';
	} else {
	    document.getElementById('btnStop').style.display = 'none';
	}
	obj.style.display = 'block';
	glo_intervalId = setInterval('blinkLoadingBox()', 500);
    } else {
	obj.style.display = 'none';
	clearInterval(glo_intervalId);
    }
}

// 20090507 - Call loading box when clicking Show URL Log button
function CallURLLoadingBox(bShow)
{
	var obj = document.getElementById('loadingBox');

	obj.className = 'loadingBoxBright';
	if (bShow) {
		document.getElementById('loadingBoxText').innerHTML = gloMessage.setcfg_url_loading;
		obj.style.display = 'block';
		glo_intervalId = setInterval('blinkLoadingBox()', 500);
	} else {
		obj.style.display = 'none';
		clearInterval(glo_intervalId);
	}
}
