<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>MAC address table</title>
<style type="text/css">
<!--
    ul { font-family: Tahoma, sans-serif; font-size: 10pt; }
    img { margin-right: 5px; border: 0; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { color: #000; list-style: none; margin: 0; padding: 0;}
    #add { color: #096; list-style: none; margin: 0; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 5px; }
    #display span, #add span { width: 350px; float:left; }
    form { margin: 0;}
-->
</style>
</head>
<body>

<?php

include 'display_list.php';

// register sessions, if needed
if(!isset($num_pass_thru_mac)) {
    $num_pass_thru_mac = '';
    session_register('num_pass_thru_mac');
}

if(!isset($pass_thru_mac)) {
    $pass_thru_mac = '';
    session_register('pass_thru_mac');
}

if (!isset($ser_display_mac)||($ser_display_mac=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_mac.php FSCONFIG.Cfgmgr Object cannot be created!');
    $num_pass_thru_mac = $settingobj->getKey('num_mac_addr', 'Client Pass');

    $tmp_num = '0'.trim($num_pass_thru_mac);
    $num = (int)$tmp_num;

    $display_mac = new Site_Array;
    $i=0;
    while ($i<$num) {
        $pass_thru_mac[$i] = $settingobj->getKey("mac_$i", 'Client Pass');
        $strarray = trim($pass_thru_mac[$i]);
        $display_mac->add_site('','','false',FALSE,'');
        $display_mac->site_list[$i]->span=$strarray;
        $i++;
    }
    //$settingobj->Release();
    $settingobj=null;
    $ser_display_mac = serialize($display_mac);
    session_register('ser_display_mac');
}

if (!isset($ser_add_mac)) {
    $add_mac = new Site_Array;
    $ser_add_mac = serialize($add_mac);
    session_register('ser_add_mac');
}

// unserialize data
if (isset($ser_display_mac)) {
    $display_mac=unserialize($ser_display_mac);
}
if (isset($ser_add_mac)) {
    $add_mac=unserialize($ser_add_mac);
}


if ($display_mac->num_sites > 0) {
    echo '<ul id="display">';

    $i = 0;
    $class = '';

    while ($i < $display_mac->num_sites) {
        if ($display_mac->site_list[$i]->span != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_mac->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$display_mac->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_client_pass_mac.value=\'dis'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

if ($add_mac->num_sites > 0) {
    echo '<ul id="add">';

    $i = 0;
    $class = '';

    while ($i < $add_mac->num_sites) {
        if ($add_mac->site_list[$i]->span != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_mac->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
            echo '
    <li class="'.$class.'">
        <span><img src="./images/smallbubble.gif">'.$add_mac->site_list[$i]->span.'</span>
        <input type="checkbox" onclick="document.combo.item_client_pass_mac.value=\'add'.$i.'\'; document.combo.submit();"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}

?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_client_pass_mac" value="">
</form>

</body>
</html>

