// popup the upload picture windows
function open_url(URL)
{
   window.open(URL, 'url', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,width=400,height=140,left = 300,top = 250'); 
}

// display the information of language files
function displayInfo(filename, desc, regions, encode)
{
    var oForm = document.uiform;

    oForm.lang_filename.value = filename;
    try{
		oForm.lang_desc.value = decodeURIComponent( desc );
	}
	catch (e){
		// error
		alert("convert error");
		oForm.lang_desc.value = desc;
	}
    oForm.lang_region.value = regions;
    oForm.lang_charset.value = encode;
}

// enable the add button
function enable_add_button(box, button)
{
    var oSelectBox = document.getElementById(box);
    var oButton = document.getElementById(button);
    if( oSelectBox[oSelectBox.selectedIndex].value != '' )
        oButton.disabled = false;
    else
        oButton.disabled = true;
}

function add_lang()
{
    var oSelectBox = document.getElementById('add_language');
    var target = document.getElementById('lang3');
    // add language to the text field
    if( oSelectBox[oSelectBox.selectedIndex].value != '' )
        if( target.value == '' )
            target.value = oSelectBox[oSelectBox.selectedIndex].value;
        else
            target.value += ','+oSelectBox[oSelectBox.selectedIndex].value;
    // set the selection box to initial state
    oSelectBox.selectedIndex = 0;
    document.getElementById('button_add_lang').disabled = true;
}

function add_character_encoding()
{
    var oSelectBox = document.getElementById('add_charset');
    var target = document.getElementById('lang4');
    // add charset to the text box
    if( oSelectBox[oSelectBox.selectedIndex].value != '' )
        if( target.value == '' )
            target.value = oSelectBox[oSelectBox.selectedIndex].value;
        else
            target.value += ','+oSelectBox[oSelectBox.selectedIndex].value;
    // set the selection box to initial state
    oSelectBox.selectedIndex = 0;
    document.getElementById('button_add_charset').disabled = true;
}

// initial UI in setcfg
function init()
{
    // disable language form
    onView();

    // set focus on default language file
    onSelectLang( document.getElementById('select_lang') );

    // apply onchange properity on selection box "add_language"
    var oSelectBox = document.getElementById('add_language');
    if( oSelectBox )
        oSelectBox.onchange = new Function('enable_add_button("add_language", "button_add_lang")');

    // apply onchange properity on selection box "add_charset"
    var oSelectBox = document.getElementById('add_charset');
    if( oSelectBox )
        oSelectBox.onchange = new Function('enable_add_button("add_charset", "button_add_charset")');

}

function disableAll()
{
    var oForm = document.uiform;

    oForm.edit.value = '';
    oForm.del.value = '';
    oForm.view.value = '';

    document.getElementById('tab_edit').className = 'tab';
    document.getElementById('tab_view').className = 'tab';

    document.getElementById('lang2').readOnly = true;
    document.getElementById('lang3').readOnly = true;
    document.getElementById('lang4').readOnly = true;
    document.getElementById('add_language').disabled = true;
    document.getElementById('add_charset').disabled = true;
}

function onEdit()
{
    var oForm = document.uiform;
    if (oForm.edit.value == '') {
        oForm.edit.value = 'true';
        oForm.del.value = '';
        oForm.view.value = '';

        document.getElementById('tab_edit').className = 'tabselected';
        document.getElementById('tab_view').className = 'tab';

        document.getElementById('lang2').readOnly = false;
        document.getElementById('lang3').readOnly = false;
        document.getElementById('lang4').readOnly = false;
        document.getElementById('add_language').disabled = false;
        document.getElementById('add_charset').disabled = false;
    } else
        disableAll();
}
function onView()
{
    var oForm = document.uiform;
    if (oForm.view.value == '') {
        oForm.edit.value = '';
        oForm.del.value = '';
        oForm.view.value = 'true';

        document.getElementById('tab_edit').className = 'tab';
        document.getElementById('tab_view').className = 'tabselected';

        document.getElementById('lang2').readOnly = true;
        document.getElementById('lang3').readOnly = true;
        document.getElementById('lang4').readOnly = true;
        document.getElementById('add_language').disabled = true;
        document.getElementById('add_charset').disabled = true;
    } else
        disableAll();
}

function onDel()
{
    var oForm = document.uiform;
    if (oForm.del.value == '') {
        oForm.view.value = '';
        oForm.edit.value = '';
        oForm.del.value = 'true';
        oForm.submit();
    } else
        disableAll();
}

function onReminder()
{
    var oForm = document.uiform;
    if (oForm.time_reminder.checked)
        document.getElementById('remindMin').style.display='';
    else
        document.getElementById('remindMin').style.display='none';
}

function onShowInfobox()
{
    var oForm = document.uiform;
    if (oForm.show_infobox.checked){
	    oForm.check_infobox_closed.checked= false;
        document.getElementById('check_infobox_closed').style.display='';
        oForm.not_support_popup_option[0].checked = true;
        document.getElementById('not_support_popup_option').style.display='';
    }
    else{
        document.getElementById('check_infobox_closed').style.display='none';
        document.getElementById('not_support_popup_option').style.display='none';
    }
}



function submitUpdateUAToken()
{
	if (confirm("Are you sure want to update uaToken.csv file for browser detection?"))
    	document.updateuatokenform.submit();
}