<script type="text/javascript">
<?php
    require("secureLogin.php");
    require_once("cmvar.php");
	include_once "fsAPI.php";
	
    $settingobj = new COM("FSCONFIG.Cfgmgr") or die("addSecret.php FSCONFIG.Cfgmgr Object cannot be created!");

    //find database source file
    $dsn_file=$settingobj->getKey( "Datasource", "gateway");
    $dsn_source=fopen($dsn_file, "r") or die("Cannot open DSN source file!");
    $dsn="";
    if (!feof($dsn_source)) { $line=fgets($dsn_source,512); }
    while (!feof($dsn_source)) {
      $line=fgets($dsn_source,512);
      if (trim($line)!="") $dsn=$dsn.$line;
    }
    fclose($dsn_source);
    $dsn=str_replace("\r\n",";",$dsn);

    //find database table name
    $sharedSecretTablename = $settingobj->getKey( "Datasource_Shared_Secret_Tablename", "gateway");
    $firstspotusertable = $settingobj->getKey( "Datasource_Tablename", "gateway");

    //find firstspot status
    $fs_status=$settingobj->queryService();

    //release COM object
    //$settingobj->Release();
    $settingobj = null;

    $deleteError = false;
    $secretDB=odbc_connect($dsn,"","");
    if($secretDB) {
        $arrGroupToDelete = explode(",",$deleteString);
        $onlineUserToKickout = array();

        if ($fs_status=="STARTED") { //can only disconnect user when FirstSpot is started

            // check user is online or not, if yes, diconnect user first
            $query="SELECT name,groupname FROM $firstspotusertable WHERE reserved1 IS NOT NULL;";
            $result=odbc_exec($secretDB,$query);

            $onlineUserToKickout = array();
            while (odbc_fetch_row($result)) {
                if (in_array(odbc_result($result, "groupname"),$arrGroupToDelete)) {
                    $onlineUserToKickout[] = odbc_result($result,"name");
                }
            }
			
			$myfsapi = new fsAPI();
			$result_fields = array();
			$result_fields = $myfsapi->disconnectUser(implode(",",$onlineUserToKickout));
			
        } //end Firstspot is started
        //Finish disconnect users

        //delete the selected group
        foreach ($arrGroupToDelete as $value) {
            $delQuery="DELETE FROM $sharedSecretTablename WHERE groupname = '$value';";
            $delResult=odbc_exec($secretDB,$delQuery);
        }

        // close the odbc connection
        odbc_close($secretDB);

        // inform user
        $rpcMessage = "$deleteString|".count($onlineUserToKickout).get_cm_var('ssecret_disconnect_ok')." ".count($arrGroupToDelete).get_cm_var('ssecret_delete_ok');
    } else {
        $deleteError = true;
        $rpcMessage = get_cm_var('ssecret_error_db_connect');
    }
?>
parent.rpcDeleteReply('<?=$deleteError?>|<?=$rpcMessage?>');
</script>
