<?php
require_once 'secureLogin.php'; //prevent hacker run this script by setting GET variables
?>
<html>
<head>
<title>Proxy ARP table</title>
<style type="text/css">
<!--
    ul { font-family: Tahoma, sans-serif; font-size: 10pt; }
    .odd { background: #F0F0F0; }
    .even { background: #FFF; }
    .checked { background: #BAEAD6; }
    #display { color: #000; list-style: none; margin: 0; padding: 0;}
    #add { color: #096; list-style: none; margin: 0; padding: 0; border-top: 1px solid green; }
    #display li, #add li { padding-left: 10px; }
    #display span, #add span { width: 250px; float:left; }
    form {margin: 0;}
-->
</style>
<script type="text/javascript">
<!--

function combo_submit(element)
{
	//alert(document.body.scrollTop);
    parent.document.getElementsByName('scrollbar_pos')[0].value = eval(document.body.scrollTop);
    document.combo.item_ip_ignore.value = element;
    document.combo.submit();
}

function combo_submit_all(element)
{
	//alert(document.body.scrollTop);
    parent.document.getElementsByName('scrollbar_pos')[0].value = eval(document.body.scrollTop);
    document.combo_all.item_ip_ignore_all.value = element;
    document.combo_all.submit();
}

function combo_submit_un_all(element)
{
	//alert(document.body.scrollTop);
    parent.document.getElementsByName('scrollbar_pos')[0].value = eval(document.body.scrollTop);
    document.combo_un_all.item_ip_ignore_un_all.value = element;
    document.combo_un_all.submit();
}
// -->
</script>
</head>

<?php

require_once 'display_list.php';

// register sessions, if needed
if(!isset($num_ignored_addr)) {
    $num_ignored_addr = '';
    session_register('num_ignored_addr');
}

if(!isset($ignore_addr)) {
    $ignore_addr = '';
    session_register('ignore_addr');
}

if (!isset($ser_display_ignore)||($ser_display_ignore=='')) {
    $settingobj = new COM('FSCONFIG.Cfgmgr') or die('table_auto.php FSCONFIG.Cfgmgr Object cannot be created!');
    $num_ignored_addr = $settingobj->getkey('num_ignored_addr', 'DHCP');

    $tmp_num = '0'.trim($num_ignored_addr);
    $num = (int)$tmp_num;

    $display_ignore= new Site_Array;
    $i = 0;
    while ($i<$num) {
        $ignore_addr[$i] = $settingobj->getkey("ignore_addr$i", 'DHCP');
        $strarray = trim($ignore_addr[$i]);
	// 20080205 - Put IP in name field instead of span
        $display_ignore->add_site("$strarray", -1, 'false', FALSE, '');
        $i++;
    }
    //free COM object
    //$settingobj->Release();
    $settingobj=null;

    $ser_display_ignore = serialize($display_ignore);
    session_register('ser_display_ignore');
}

if (!isset($ser_add_ignore)) {
    $add_ignore = new Site_Array;
    $ser_add_ignore = serialize($add_ignore);
    session_register('ser_add_ignore');
}

// unserialize data
if (isset($ser_display_ignore)) {
    $display_ignore = unserialize($ser_display_ignore);
}
if (isset($ser_add_ignore)) {
    $add_ignore = unserialize($ser_add_ignore);
}


echo "<body onload=\"this.scrollTo(0,eval(parent.document.getElementsByName('scrollbar_pos')[0].value));\">\n\n";

if ($display_ignore->num_sites > 0) {
    echo '<ul id="display">';

    $i=0;
    $class='';

    while ($i < $display_ignore->num_sites) {
        if ($display_ignore->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($display_ignore->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
	    // 20080205 - Extract content from name field instead of span
            echo '
    <li class="'.$class.'">
        <span>'.$display_ignore->site_list[$i]->name.'</span>
        <input type="checkbox" name="ignore_list" onclick="combo_submit(\'dis'.$i.'\');"'.$checked.'>
    </li>';
        }
        $i++;
    }
    echo "\n</ul>\n";
}

if ($add_ignore->num_sites>0) {
    echo '<ul id="add">';

    $i=0;
    $class='';

    while ($i < $add_ignore->num_sites) {
        if ($add_ignore->site_list[$i]->name != ';') {
            $class = ($class == 'odd')? 'even': 'odd';
            if ($add_ignore->site_list[$i]->checked == 'true') {
                $checked = 'checked';
                $class = 'checked';
            } else {
                $checked = '';
            }
	    // 20080205 - Extract content from name field instead of span
            echo '
    <li class="'.$class.'">
        <span>'.$add_ignore->site_list[$i]->name.'</span>
        <input type="checkbox" name="ignore_list" onclick="combo_submit(\'add'.$i.'\');"'.$checked.'>
    </li>';
        }
        $i++;
    }

    echo "\n</ul>\n";
}


?>

<form name="combo" action="intermediate.php" method="post">
    <input type="hidden" name="item_ip_ignore" value="">
</form>
<form name="combo_all" action="intermediate.php" method="post">
    <input type="hidden" name="item_ip_ignore_all" value="">
</form>
<form name="combo_un_all" action="intermediate.php" method="post">
    <input type="hidden" name="item_ip_ignore_un_all" value="">
</form>
</body>
</html>

